Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.api
Class Utils

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.Utils

public final class Utils
extends java.lang.Object

Contains utility methods.

Version:
  1.0
Author:
  Oliver Burn

Method Summary
`static java.lang.String` | `baseClassname(java.lang.String aType)`
`static org.apache.regexp.RE` | `createRE(java.lang.String aPattern)` Helper method to create a regular expression.
`static org.apache.commons.logging.Log` | `getExceptionLogger()` Accessor for shared instance of logger which should be used to log all exceptions occured during `FileSetCheck` work (`debug()` should be used).
`static java.lang.String[]` | `getLines(java.lang.String aFileName)` Loads the contents of a file in a String array.
`static org.apache.regexp.RE` | `getRE(java.lang.String aPattern)` This is a factory method to return an RE object for the specified regular expression.
`static java.lang.String` | `getStrippedFileName(java.lang.String aBasedir, java.lang.String aFileName)` Create a stripped down version of a filename.
`static int` | `lengthExpandedTabs(java.lang.String aString, int aToIdx, int aTabWidth)` Returns the length of a String prefix with tabs expanded.
`static int` | `lengthMinusTrailingWhitespace(java.lang.String aLine)` Returns the length of a string ignoring all trailing whitespace.
`static boolean` | `whitespaceBefore(int aIndex, java.lang.String aLine)` Returns whether the specified string contains only whitespace up to the specified index.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getExceptionLogger

    public static org.apache.commons.logging.Log getExceptionLogger()

  Accessor for shared instance of logger which should be used to log all exceptions occured during `FileSetCheck` work (`debug()` should be used).

  Returns:
    shared exception logger.

### whitespaceBefore

    public static boolean whitespaceBefore(int aIndex,
                                           java.lang.String aLine)

  Returns whether the specified string contains only whitespace up to the specified index.

  Parameters:
    `aIndex` - index to check up to
    `aLine` - the line to check
  Returns:
    whether there is only whitespace

### lengthMinusTrailingWhitespace

    public static int lengthMinusTrailingWhitespace(java.lang.String aLine)

  Returns the length of a string ignoring all trailing whitespace. It is a pity that there is not a trim() like method that only removed the trailing whitespace.

  Parameters:
    `aLine` - the string to process
  Returns:
    the length of the string ignoring all trailing whitespace

### lengthExpandedTabs

    public static int lengthExpandedTabs(java.lang.String aString,
                                         int aToIdx,
                                         int aTabWidth)

  Returns the length of a String prefix with tabs expanded. Each tab is counted as the number of characters is takes to jump to the next tab stop.

  Parameters:
    `aString` - the input String
    `aToIdx` - index in aString (exclusive) where the calculation stops
    `aTabWidth` - the distance betweeen tab stop position.
  Returns:
    the length of aString.substring(0, aToIdx) with tabs expanded.

### getRE

    public static org.apache.regexp.RE getRE(java.lang.String aPattern)
                                      throws org.apache.regexp.RESyntaxException

  This is a factory method to return an RE object for the specified regular expression. This method is not MT safe, but neither are the returned RE objects.

  Parameters:
    `aPattern` - the regular expression pattern
  Returns:
    an RE object for the supplied pattern
  Throws:
    `org.apache.regexp.RESyntaxException` - an invalid pattern was supplied

### getLines

    public static java.lang.String[] getLines(java.lang.String aFileName)
                                       throws java.io.IOException

  Loads the contents of a file in a String array.

  Parameters:
    `aFileName` - the name of the file to load
  Returns:
    the lines in the file
  Throws:
    `java.io.IOException` - error occurred

### createRE

    public static org.apache.regexp.RE createRE(java.lang.String aPattern)
                                         throws org.apache.commons.beanutils.ConversionException

  Helper method to create a regular expression.

  Parameters:
    `aPattern` - the pattern to match
  Returns:
    a created regexp object
  Throws:
    `org.apache.commons.beanutils.ConversionException` - if unable to create RE object.

### baseClassname

    public static java.lang.String baseClassname(java.lang.String aType)

  Parameters:
    `aType` - the fully qualified name. Cannot be null
  Returns:
    the base class name from a fully qualified name

### getStrippedFileName

    public static java.lang.String getStrippedFileName(java.lang.String aBasedir,
                                                       java.lang.String aFileName)

  Create a stripped down version of a filename.

  Parameters:
    `aBasedir` - the prefix to strip off the original filename
    `aFileName` - the original filename
  Returns:
    the filename where an initial prefix of basedir is stripped

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD